Name:           perl-Dancer2-Session-Cookie
Version:        0.006
Release:        1%{?dist}
Summary:        Dancer 2 session storage in secure cookies
License:        Apache Software License
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer2-Session-Cookie/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Dancer2-Session-Cookie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Dancer2) >= 0.140001
BuildRequires:  perl(Dancer2::Core::Role::SessionFactory)
BuildRequires:  perl(Dancer2::Core::Types)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.22
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Session::Storage::Secure) >= 0.010
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::TCP) >= 1.30
BuildRequires:  perl(YAML)
Requires:       perl(Dancer2) >= 0.140001
Requires:       perl(Dancer2::Core::Role::SessionFactory)
Requires:       perl(Dancer2::Core::Types)
Requires:       perl(Moo)
Requires:       perl(Session::Storage::Secure) >= 0.010
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a session factory for Dancer 2 that stores session
state within a browser cookie. Features include:

%prep
%setup -q -n Dancer2-Session-Cookie-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING CONTRIBUTORS cpanfile LICENSE META.json README README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat May 30 2015 Dave Cross <dave@mag-sol.com> 0.006-1
- Specfile autogenerated by cpanspec 1.78.
